[pacman-dev] [PATCH 2/2] pacscripts: no need to run as root

Karol Blazewicz karol.blazewicz at gmail.com
Mon Jun 17 17:48:39 EDT 2013


Things have changed since 2009 when this script was created and now you
need to pass '-d' twice to skip all checks.

Signed-off-by: Karol Błażewicz <karol.blazewicz at gmail.com>
---
 contrib/pacscripts.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/pacscripts.sh.in b/contrib/pacscripts.sh.in
index 4ecebde..62c4e35 100644
--- a/contrib/pacscripts.sh.in
+++ b/contrib/pacscripts.sh.in
@@ -113,10 +114,10 @@ print_scriptlet() {
 		error "Package $1 not found"
 		return 1
 	fi
-	url=$(spacman -Sdp $1 | tail -n1)
+	url=$(pacman -Sddp $1)
 	filename=$(basename $url)
 	if [ ! -f "$pac_cache/$filename" ]; then
-		if ! spacman -Sdw --noconfirm $1 >&2; then
+		if ! spacman -Sddw --noconfirm $1 >&2; then
 			error "Failed to download $1"
 			return 1
 		fi
-- 
1.8.3.1



More information about the pacman-dev mailing list